Configurer unattended-upgrade pour faire les reboot / restart
09/07/2021 15:46 - Loic Dachary

Statut: Fermé Début: 09/07/2021
Priorité: Normale Echéance:

Assigné a: Loic Dachary % réalisé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible: Sprint 2021 été

Description

Automatiquement au lieu de manuellement

Historique

#1 - 09/07/2021 15:52 - Loic Dachary

- Sujet changé de Configurer unattended-upgrade pour faire les reboot a Configurer unattended-upgrade pour faire les reboot / restart

#2 - 26/07/2021 07:53 - Loic Dachary
- Statut changé de Nouveau a Résolu

- Assigné a mis a Loic Dachary

=("-")=root@grof:/etc/apt/apt.conf.d# git show

commit c3c63elabclecldl132¢c53530b09%9a97a1774e71cft (HEAD —-> master)
Author: Loic Dachary <loic@dachary.org>

Date: Mon Jul 26 07:52:53 2021 +0200

Unattended upgrades can reboot when the kernel is updated

diff --git a/apt/apt.conf.d/50unattended-upgrades b/apt/apt.conf.d/50unattended-upgrades
index 4b37679..193b150 100644

--— a/apt/apt.conf.d/50unattended-upgrades

+++ b/apt/apt.conf.d/50unattended-upgrades

@@ -109,7 +109,7 Q@ Unattended-Upgrade::Package-Blacklist {

// Automatically reboot *WITHOUT CONFIRMATION* if

// the file /var/run/reboot-required is found after the upgrade
—//Unattended-Upgrade: :Automatic-Reboot "false";
+Unattended-Upgrade: :Automatic—-Reboot "true";

// Automatically reboot even if there are users currently logged in
// when Unattended-Upgrade::Automatic-Reboot is set to true
@@ -118,7 +118,7 @@ Unattended-Upgrade::Package-Blacklist {
// If automatic reboot is enabled and needed, reboot at the specific
// time instead of immediately
// Default: "now"
—//Unattended-Upgrade: :Automatic-Reboot-Time "02:00";
+Unattended-Upgrade: :Automatic-Reboot-Time "02:00";

// Use apt bandwidth limit feature, this example limits the download
// speed to 70kb/sec

#3 - 02/09/2021 23:16 - Pierre-Louis Bonicoli

- Statut changé de Résolu a Fermé

#4 - 03/09/2021 00:11 - Christian P. Momon
- Version cible changé de Backlog a Sprint 2021 été
